'use strict'

var assert = require('assert')
var csvParse = require('csv-parse/lib/sync')
var TAP = require('../')

describe('TAP tests', function() {
  it('TAP query', function(done) {
    // Ensure CADC Production
    var tap = new TAP()

    tap
      .query({
        queryString:
          "SELECT * FROM caom2.Observation WHERE observationID='f260h000'"
      })
      .then(function(r) {
        console.log(JSON.stringify(r.data))
        assert.equal(typeof r.data, 'string', 'Wrong datatype for CSV')
        var csvItems = csvParse(r.data)
        assert.equal(
          csvItems.length,
          2,
          'Should have two rows for header and data.'
        )
        done()
      })
      .catch(function(err) {
        console.error(err)
        done(err)
      })
  })
})
